QGIS Application - Bug report #10360
Need to save PostGis new features before filling their attributes through Identify Tool
2014-05-26 07:28 AM - Harrissou Santanna

Status: Closed

Priority: Severe/Regression

Assignee: Jurgen Fischer

Category: Digitising

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 18779
Description

Hi,

When digitising new features in a PostGIS table, you can add its attributes before saving into the database (for the first time). This works
nicely when you use the tool "Adding features". But when you copy/paste the features from another layer, whatever changes you
manually do, they're reset when you click again on the feature with Identify Tool or save your modifications in your database. You first
need to save your features into the PostGIS table and then you can use the Identify Tool to modify its attributes.

At the same time, in the attribute table dialog, you can manually change the attributes of new features before saving the first time, these
modifications are kept.

Associated revisions

Revision 74a75031 - 2014-06-13 02:27 PM - Jiirgen Fischer

attribute form: allow overwriting invalid source attribute values and skip empty edit commands (fixes #10360)

History

#1 - 2014-05-26 08:00 AM - Giovanni Manghi
- Status changed from Open to Feedback

can you please explain the issue with a list of steps (describing what kind of layer are you copying from, if it has the same identical table structure as your

postgis vector and possibly also attaching sample data)? thanks.

#2 - 2014-05-26 08:44 AM - Giovanni Manghi

- OS version deleted (seven)

- Operating System deleted (windows)

- Priority changed from High to Severe/Regression

- Status changed from Feedback to Open

| made to replicate the issue, and it is actually a regression. Steps to replicate (tested with PostGIS, may apply to other formats):
- add 2 postgis layers (of the same type), with different table of attributes

- copy a feature from one layer (A) and paste into the other (B) (after toggling editing of course)

- the geometry is pasted as expected
- identify the newly pasted geometry: if "auto open form" is checked the form to enter attributes will open

- the form will show the attributes of layer B to be filled (and are empty as the two vectors have different table structures)

- the user then fill the attributes and clicks "ok".

- if identifying again the newly entered attributes are vanished, this does not happen on qgis 2.2

#3 - 2014-06-13 02:31 AM - Jiirgen Fischer

- Assignee set to Jirgen Fischer

#4 - 2014-06-13 05:28 AM - Jurgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"74a750314c744a44eacb5f7593c18a17b0f38ac5".
